# Uses of Interface
org.springframework.transaction.PlatformTransactionManager

Packages that use PlatformTransactionManager
Package
Description
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.
org.springframework.transaction.jta
Transaction SPI implementation for JTA.
org.springframework.transaction.support
Support classes for the org.springframework.transaction package.

## Uses of PlatformTransactionManager in org.springframework.transaction.interceptor

Methods in org.springframework.transaction.interceptor that return PlatformTransactionManager
Modifier and Type
Method
Description
`PlatformTransactionManager`
TransactionAspectSupport.TransactionInfo.`getTransactionManager()`
Methods in org.springframework.transaction.interceptor with parameters of type PlatformTransactionManager
Modifier and Type
Method
Description
`protected TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`createTransactionIfNecessary(PlatformTransactionManager tm, TransactionAttribute txAttr, String joinpointIdentification)`
Create a transaction if necessary based on the given TransactionAttribute.
`protected TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`prepareTransactionInfo(PlatformTransactionManager tm, TransactionAttribute txAttr, String joinpointIdentification, TransactionStatus status)`
Prepare a TransactionInfo for the given attribute and status object.
`void`
TransactionProxyFactoryBean.`setTransactionManager(PlatformTransactionManager transactionManager)`
Set the default transaction manager.
Constructors in org.springframework.transaction.interceptor with parameters of type PlatformTransactionManager
Modifier
Constructor
Description
``
`TransactionInfo(PlatformTransactionManager transactionManager, TransactionAttribute transactionAttribute, String joinpointIdentification)`
``
`TransactionInterceptor(PlatformTransactionManager ptm, Properties attributes)`
Deprecated.
as of 5.2.5, in favor of `TransactionAspectSupport.setTransactionAttributes(Properties)`
``
`TransactionInterceptor(PlatformTransactionManager ptm, TransactionAttributeSource tas)`
Deprecated.
as of 5.2.5, in favor of `TransactionInterceptor(TransactionManager, TransactionAttributeSource)`

## Uses of PlatformTransactionManager in org.springframework.transaction.jta

Classes in org.springframework.transaction.jta that implement PlatformTransactionManager
Modifier and Type
Class
Description
`class`
`JtaTransactionManager`
`PlatformTransactionManager` implementation for JTA, delegating to a backend JTA provider.

## Uses of PlatformTransactionManager in org.springframework.transaction.support

Subinterfaces of PlatformTransactionManager in org.springframework.transaction.support
Modifier and Type
Interface
Description
`interface`
`CallbackPreferringPlatformTransactionManager`
Extension of the `PlatformTransactionManager` interface, exposing a method for executing a given callback within a transaction.
`interface`
`ResourceTransactionManager`
Extension of the `PlatformTransactionManager` interface, indicating a native resource transaction manager, operating on a single target resource.
Classes in org.springframework.transaction.support that implement PlatformTransactionManager
Modifier and Type
Class
Description
`class`
`AbstractPlatformTransactionManager`
Abstract base class that implements Spring's standard transaction workflow, serving as basis for concrete platform transaction managers like `JtaTransactionManager`.
Methods in org.springframework.transaction.support that return PlatformTransactionManager
Modifier and Type
Method
Description
`PlatformTransactionManager`
TransactionTemplate.`getTransactionManager()`
Return the transaction management strategy to be used.
Methods in org.springframework.transaction.support with parameters of type PlatformTransactionManager
Modifier and Type
Method
Description
`void`
TransactionTemplate.`setTransactionManager(PlatformTransactionManager transactionManager)`
Set the transaction management strategy to be used.
Constructors in org.springframework.transaction.support with parameters of type PlatformTransactionManager
Modifier
Constructor
Description
``
`TransactionTemplate(PlatformTransactionManager transactionManager)`
Construct a new TransactionTemplate using the given transaction manager.
``
`TransactionTemplate(PlatformTransactionManager transactionManager, TransactionDefinition transactionDefinition)`
Construct a new TransactionTemplate using the given transaction manager, taking its default settings from the given transaction definition.